"use strict";
// Copyright 2023 IOTA Stiftung
// SPDX-License-Identifier: Apache-2.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidationBlockBody = void 0;
const block_body_1 = require("./block-body");
/**
 * A Validation Block Body is a special type of block body used by validators to secure the network.
 * It is recognised by the Congestion Control of the IOTA 2.0 protocol and can be issued without
 * burning Mana within the constraints of the allowed validator throughput.
 *
 * It is allowed to reference more parent blocks than a normal Basic Block Body.
 */
class ValidationBlockBody extends block_body_1.BlockBody {
}
exports.ValidationBlockBody = ValidationBlockBody;
//# sourceMappingURL=validation.js.map