// Copyright 2023 IOTA Stiftung
// SPDX-License-Identifier: Apache-2.0

import type {
    __GetInfoMethod__,
    __GetRoutesMethod__,
    __GetOutputIdsMethod__,
    __GetBasicOutputIdsMethod__,
    __GetOutputMethod__,
    __GetOutputRawMethod__,
    __GetOutputsMethod__,
    __GetOutputsIgnoreNotFoundMethod__,
    __GetOutputMetadataMethod__,
    __GetOutputWithMetadataMethod__,
    __PostBlockMethod__,
    __PostBlockRawMethod__,
    __GetAccountCongestionMethod__,
    __GetOutputManaRewardsMethod__,
    __GetCommitteeMethod__,
    __GetValidatorsMethod__,
    __GetValidatorMethod__,
    __GetIssuanceMethod__,
    __GetBlockMethod__,
    __GetBlockMetadataMethod__,
    __GetBlockWithMetadataMethod__,
    __FindInputsMethod__,
    __BuildBasicBlockMethod__,
    __GetNodeMethod__,
    __GetNetworkIdMethod__,
    __GetBech32HrpMethod__,
    __GetProtocolParametersMethod__,
    __GetHealthMethod__,
    __GetNodeInfoMethod__,
    __GetNetworkMetricsMethod__,
    __GetBlockRawMethod__,
    __GetIncludedBlockMethod__,
    __GetIncludedBlockRawMethod__,
    __GetIncludedBlockMetadataMethod__,
    __GetTransactionMetadataMethod__,
    __GetCommitmentMethod__,
    __GetCommitmentRawMethod__,
    __GetUtxoChangesMethod__,
    __GetUtxoChangesFullMethod__,
    __GetCommitmentBySlotMethod__,
    __GetCommitmentBySlotRawMethod__,
    __GetUtxoChangesBySlotMethod__,
    __GetUtxoChangesFullBySlotMethod__,
    __AddressToBech32Method__,
    __AccountOutputIdsMethod__,
    __AccountOutputIdMethod__,
    __AnchorOutputIdsMethod__,
    __AnchorOutputIdMethod__,
    __DelegationOutputIdsMethod__,
    __DelegationOutputIdMethod__,
    __FoundryOutputIdsMethod__,
    __FoundryOutputIdMethod__,
    __NftOutputIdsMethod__,
    __NftOutputIdMethod__,
    __FindBlocksMethod__,
    __UnhealthyNodesMethod__,
    __BuildBasicOutputMethod__,
    __BuildAccountOutputMethod__,
    __BuildFoundryOutputMethod__,
    __BuildNftOutputMethod__,
    __ClearListenersMethod__,
    __ComputeMinimumOutputAmountMethod__,
    __RequestFundsFromFaucetMethod__,
    __CallPluginRouteMethod__,
    __BlockIdMethod__,
} from './client';

export type __ClientMethods__ =
    | __GetInfoMethod__
    | __GetRoutesMethod__
    | __GetOutputIdsMethod__
    | __GetBasicOutputIdsMethod__
    | __GetOutputMethod__
    | __GetOutputRawMethod__
    | __GetOutputsMethod__
    | __GetOutputsIgnoreNotFoundMethod__
    | __GetOutputMetadataMethod__
    | __GetOutputWithMetadataMethod__
    | __PostBlockMethod__
    | __PostBlockRawMethod__
    | __GetAccountCongestionMethod__
    | __GetOutputManaRewardsMethod__
    | __GetCommitteeMethod__
    | __GetValidatorsMethod__
    | __GetValidatorMethod__
    | __GetIssuanceMethod__
    | __GetBlockMethod__
    | __GetBlockMetadataMethod__
    | __GetBlockWithMetadataMethod__
    | __FindInputsMethod__
    | __BuildBasicBlockMethod__
    | __GetNodeMethod__
    | __GetNetworkIdMethod__
    | __GetBech32HrpMethod__
    | __GetProtocolParametersMethod__
    | __GetHealthMethod__
    | __GetNodeInfoMethod__
    | __GetNetworkMetricsMethod__
    | __GetBlockRawMethod__
    | __GetIncludedBlockMethod__
    | __GetIncludedBlockRawMethod__
    | __GetIncludedBlockMetadataMethod__
    | __GetTransactionMetadataMethod__
    | __GetCommitmentMethod__
    | __GetCommitmentRawMethod__
    | __GetUtxoChangesMethod__
    | __GetUtxoChangesFullMethod__
    | __GetCommitmentBySlotMethod__
    | __GetCommitmentBySlotRawMethod__
    | __GetUtxoChangesBySlotMethod__
    | __GetUtxoChangesFullBySlotMethod__
    | __AddressToBech32Method__
    | __AccountOutputIdsMethod__
    | __AccountOutputIdMethod__
    | __AnchorOutputIdsMethod__
    | __AnchorOutputIdMethod__
    | __DelegationOutputIdsMethod__
    | __DelegationOutputIdMethod__
    | __FoundryOutputIdsMethod__
    | __FoundryOutputIdMethod__
    | __NftOutputIdsMethod__
    | __NftOutputIdMethod__
    | __FindBlocksMethod__
    | __UnhealthyNodesMethod__
    | __BuildBasicOutputMethod__
    | __BuildAccountOutputMethod__
    | __BuildFoundryOutputMethod__
    | __BuildNftOutputMethod__
    | __ClearListenersMethod__
    | __ComputeMinimumOutputAmountMethod__
    | __RequestFundsFromFaucetMethod__
    | __CallPluginRouteMethod__
    | __BlockIdMethod__;
