import { Payload } from '../payload';
import { StrongParents, WeakParents, ShallowLikeParents } from '../parents';
import { BlockBody } from './block-body';
import { u64 } from '../../utils';
/**
 * Basic Block Body layout.
 */
export declare class BasicBlockBody extends BlockBody {
    /**
     * Blocks that are strongly directly approved.
     */
    readonly strongParents: StrongParents;
    /**
     * Blocks that are weakly directly approved.
     */
    readonly weakParents?: WeakParents;
    /**
     * Blocks that are directly referenced to adjust opinion.
     */
    readonly shallowLikeParents?: ShallowLikeParents;
    /**
     * The payload contents.
     */
    readonly payload?: Payload;
    /**
     * The amount of mana the Account identified by IssuerID is at most
     * willing to burn for this block.
     */
    readonly maxBurnedMana: u64;
}
