"use strict";
// Copyright 2023 IOTA Stiftung
// SPDX-License-Identifier: Apache-2.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.Payload = exports.PayloadType = void 0;
/**
 * All of the block payload types.
 */
var PayloadType;
(function (PayloadType) {
    /** A tagged data payload. */
    PayloadType[PayloadType["TaggedData"] = 0] = "TaggedData";
    /** A signed transaction payload. */
    PayloadType[PayloadType["SignedTransaction"] = 1] = "SignedTransaction";
    /** A candidacy announcement payload. */
    PayloadType[PayloadType["CandidacyAnnouncement"] = 2] = "CandidacyAnnouncement";
})(PayloadType || (PayloadType = {}));
exports.PayloadType = PayloadType;
/**
 * The base class for block payloads.
 */
class Payload {
    /**
     * @param type The type of payload.
     */
    constructor(type) {
        this.type = type;
    }
}
exports.Payload = Payload;
//# sourceMappingURL=payload.js.map