import { Transaction, Unlock } from '.';
import { Payload } from '../payload';
/**
 * Signed transaction payload.
 */
declare class SignedTransactionPayload extends Payload {
    /**
     * The transaction.
     */
    readonly transaction: Transaction;
    /**
     * The unlocks.
     */
    readonly unlocks: Unlock[];
    /**
     * @param transaction The transaction.
     * @param unlocks The unlocks of the transaction.
     */
    constructor(transaction: Transaction, unlocks: Unlock[]);
}
export { SignedTransactionPayload };
